Subject: Re: bug#10974: [email-masked]

From: Alexei Matveev <[email-masked]>
Date: Mon, 2 Jul 2012 21:35:58 +0200

> Yeah.  Though here, you could still write bindings for ‘scm_from_int32’
> (the real function) instead of ‘scm_from_int’, for instance, no?

Right.

I assume there was a reason to introduce scm_to/from_int macros
and that it gets defined to either -32 or -64 versions depending on
the build/platform (not sure what else, but Guile packagers know it).
Using a specific one invites for portability problems or a pre-processor
mess.

My preferred solution is to compile a

   guile_api_fix_scm_from_int()

that refers to scm_from_int() macro and relies on the expertise
of the Guile packagers to decide which particular instance it is
resolved to.

Alexei